<?php

/* DCMS Special
 * Дата последнего редактирования 14.12.2015
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'adm_check', 'user', 'delete_user_all_data') as $inc) {
    require_once "../sys/inc/{$inc}.php";
}

access('user_mass_delete', null, 'index.php?' . SID);
adm_check();

$set['title'] = 'Удаление пользователей';
require_once H . 'sys/inc/thead.php';

aut();
err();

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/panel/'>" . lang('Панель управления') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Удаление пользователей');
echo "</small></div><br />";

if (isset($_POST['write']) && isset($_POST['write2'])) {
    $timeclear1 = 0;
    if ($_POST['write2'] == 'sut') {
        $timeclear1 = $time - intval($_POST['write']) * 60 * 60 * 24;
    } elseif ($_POST['write2'] == 'mes') {
        $timeclear1 = $time - intval($_POST['write']) * 60 * 60 * 24 * 30;
    } else {
        $err[] = 'Не выбран период';
    }
    $q = mysql_query("SELECT `id` FROM `user` WHERE `date_last` < '$timeclear1'", $db);
    $del_th = 0;
    while ($post = mysql_fetch_assoc($q)) {
        delete_user_all_data($post['id']);
        $del_th++;
    }
    db_optimize(); // оптимизация базы
    msg("Успешно удалено $del_th пользователей");
}

echo "<form method='post' class='list-group-item-null' action='?'>";
echo "Будут удалены пользователи, не посещавшие сайт<br />";
$doc->Input('write', 'Количество', 5);

echo "<select name='write2' class='form-control'>";
echo "<option value = ''>Выбрать</option>\n";
echo "<option value = 'mes'>Месяцев</option>\n";
echo "<option value = 'sut'>Суток</option>\n";
echo "</select><br />";

$doc->Button('btn btn-primary btn-sm', null, 'trash-o', 'Удалить');
echo "</form>";

require_once H . 'sys/inc/tfoot.php';
